#! /usr/bin/python

import cv2

cap = cv2.VideoCapture('./bacteria.mp4')

if(cap.isOpened()):
    ret, frame = cap.read()
# Zapamietaj pierwszy obraz
    prevgray = cv2.cvtColor(frame, cv2.COLOR_BGR2GRAY)

while(cap.isOpened()):
    ret, frame = cap.read()
    gray = cv2.cvtColor(frame, cv2.COLOR_BGR2GRAY)
    
# policz roznice miedzy aktualnym a poprzednim obrazem    
    result =cv2.absdiff(gray, prevgray)
    
# Wyswietlenie w oknie
    cv2.imshow('frame', result)

# zapamietaj aktualny obraz jako poprzedni    
    prevgray = gray    
    
# Poczakaj i ew. przerwij gdy wcisniete 'q'    
    if cv2.waitKey(40) & 0xFF == ord('q'):
        break

cap.release()
cv2.destroyAllWindows()