#! /usr/bin/python
# Przyklad programu do wyswietlania filmu z pliku
# Ref:
# http://docs.opencv.org/3.0-beta/doc/py_tutorials/py_gui/py_video_display/py_video_display.html

import numpy as np
import cv2

# Z kamery:
# cap = cv2.VideoCapture(0)

# Z pliku:
cap = cv2.VideoCapture('./bacteria.mp4')
# Petla dla kolejnych klatek filmu
while(cap.isOpened()):
# Pobranie klatki    
    ret, frame = cap.read()
# Konwersja do skali szarosci    
    gray = cv2.cvtColor(frame, cv2.COLOR_BGR2GRAY)
        
# Wyswietlenie w oknie
    cv2.imshow('frame',gray)
    
# Poczakaj i ew. przerwij gdy wcisniete 'q'    
    cv2.waitKey(40)

# Zamkniecie strumienia wideo i okien
cv2.destroyAllWindows()
cap.release()
